---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: external-dns

bases:
- ../../base

patchesJson6902:
  - path: configuration.yaml
    target:
      group: apps
      version: v1
      kind: Deployment
      name: external-dns

patches:
  - target:
      kind: Deployment
    patch: |-
      - op: add
        path: /spec/template/spec/nodeSelector
        value:
          workload: infra